.wallet {
    gap: 20px;
}

.wallet_list {
    gap: 20px;
}
.wallet_list .item {
    position: relative;
    padding: 20px;
    border-radius: 10px;
    gap: 10px;
    font-family: 'NanumSquareNeo';
    box-sizing: border-box;
}
.wallet_list .item .name {
    flex: 1;
    gap: 10px;
}
.wallet_list .item .name .icon {
    position: relative;
    width: 25px;
    height: 25px;
}
.wallet_list .item .name .icon img {
    width: 100%;
}
.wallet_list .item .name p {
    font-weight: 800;
}
.wallet_list .item .name span {
    color: #999;
}
.wallet_list .item .addr {
    color: #999;
    word-break: break-all;
}
.wallet_list .item .price {
    min-width: 200px;
    font-weight: 800;
    border-left: 1px solid #999;
    margin-left: 10px;
    padding-left: 10px;
    text-align: center;
    box-sizing: border-box;
}
.wallet_list .item .btn_area {
    gap: 10px;
}
/* 20241023 */
.wallet_list .item .btn_area a {
    min-width: 120px;
    height: 38px;
    line-height: 41px;
    font-family: 'GmarketSans';
    text-align: center;
    border-radius: 5px;
    box-sizing: border-box;
    padding: 0 10px;
}
/* // 20241023 */
.wallet_list .item .btn_area a img {
    vertical-align: middle;
    margin-right: 5px;
}
.wallet .select_bar {
    gap: 10px;
    padding: 0 10px 20px;
    border-bottom: 1px solid #E1E1E1;
    box-sizing: border-box;
}
.wallet .select_bar > div {
    flex: 1;
    gap: 10px;
}
.wallet .select_bar span {
    font-family: 'NanumSquareNeo';
}
.wallet .select_bar select {
    max-width: 120px;
}
.wallet .select_bar > a {
    height: 36px;
    line-height: 40px;
    padding: 0 15px;
    border-radius: 5px;
}
.wallet .coin_box {
    padding: 30px 40px;
    gap: 10px;
    font-family: 'NanumSquareNeo';
    box-sizing: border-box;
}
.wallet .coin_box .name {
    flex: 1;
    gap: 10px;
}
.wallet .coin_box .name .icon {
    position: relative;
    width: 25px;
    height: 25px;
}
.wallet .coin_box .name .icon img {
    width: 100%;
}
.wallet .coin_box .name p {
    font-weight: 800;
}
.wallet .coin_box .name span {
    color: #999;
}
.wallet .coin_box .my_addr {
    gap: 10px;
}
.wallet .coin_box .my_addr p {
    color: #999;
}
.wallet .coin_box .my_addr .addr {
    flex: 1;
    color: var(--white);
    word-break: break-all;
}
.wallet .deposit {
    position: relative;
    border-radius: 10px;
    border: 1px solid #E1E1E1;
    padding: 30px 40px;
    gap: 20px;
    font-family: 'NanumSquareNeo';
    box-sizing: border-box;
}
.wallet .deposit .qr_img {
    position: relative;
    width: 120px;
}
.wallet .deposit .txt {
    flex: 1;
    width: 100%;
    gap: 15px;
}
.wallet .deposit .txt > div > p {
    color: #999;
    width: 80px;
}
.wallet .deposit .txt > div > div {
    flex: 1;
    width: 100%;
}
.wallet .deposit .txt > div > div strong {
    font-weight: 800;
}
.wallet .grid2 {
    font-family: 'NanumSquareNeo';
    gap: 20px;
}
.wallet .grid2 > div {
    flex: 1;
    padding: 30px 20px;
    gap: 10px;
    box-sizing: border-box;
}
.wallet .deposit_grid > div p {
    font-size: 20px;
}
.wallet .deposit_grid > div p strong {
    font-weight: 800;
}
.wallet .deposit_grid > div > div {
    color: #999;
}

.wallet .withdraw_grid > div {
    gap: 10px;
    padding: 20px;
}
.wallet .withdraw_grid > div > p {
    color: #999;
}
.wallet .withdraw_grid > div > div {
    flex: 1;
    width: 100%;
    font-weight: 800;
}
.wallet .input_line {
    position: relative;
    padding: 9px 25px;
    gap: 10px;
    min-height: 60px;
    box-sizing: border-box;
}
.wallet .input_line input {
    flex: 1;
    width: 100%;
    font-family: 'NanumSquareNeo';
    font-size: 16px;
}
.wallet .input_line button {
    font-family: 'NanumSquareNeo';
    font-size: 16px;
    padding: 10px;
    border-radius: 5px;
    box-sizing: border-box;
}
.wallet .input_line button img {
    vertical-align: middle;
    margin-right: 5px;
}
.wallet .input_box {
    gap: 20px;
}
.wallet .input_box .input_line {
    flex: 1;
}
.wallet .input_box .tab {
    width: 500px;
    border-radius: 5px;
    border: 1px solid #D6D6D6;
    overflow: hidden;
    box-sizing: border-box;
}
.wallet .input_box .tab button {
    flex: 1;
    border-right: 1px solid #AAA;
    background: var(--white);
    color: #AAA;
    font-size: 14px;
    font-family: 'NanumSquareNeo';
}
.wallet .input_box .tab button:last-child {
    border-right: 0;
}
.wallet .input_box .tab button.active {
    background: #DFE3FF;
    color: var(--key-color);
    font-weight: 900;
}
.wallet .btn_form {
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}
.wallet .btn_form button {
    flex: 1;
    max-width: 153px;
    height: 56px;
    border-radius: 5px;
    font-size: 16px;
}



@media screen and (max-width: 1280px) {
    .wallet_list .item .name {
        flex: none;
        width: 100%;
    }
    .wallet_list .item .addr {
        flex: 1;
    }
}
@media screen and (max-width: 1024px) {
    .wallet_list .item {
        font-size: 14px;
    }
    .wallet_list .item .price {
        min-width: 145px;
    }

    .wallet .select_bar {
        font-size: 14px;
    }

    .wallet .coin_box {
        padding: 20px 25px;
        gap: 20px;
        font-size: 14px;
    }
    .wallet .coin_box .name {
        flex: none;
        width: 100%;
    }

    .wallet .deposit {
        padding: 20px 25px;
        font-size: 14px;
    }
    .wallet .grid2 > div {
        padding: 20px 15px;
        font-size: 14px;
    }
    .wallet .deposit_grid > div p {
        font-size: 16px;
    }

    .wallet .input_box .tab {
        width: 340px;
    }
}
@media screen and (max-width: 768px) {
    .wallet {
        gap: 10px;
    }

    .wallet_list .item .btn_area {
        width: 100%;
    }
    /* 20241023 */
    .wallet_list .item .btn_area a {
        flex: 1;
        min-width: auto;
    }
    .wallet_list .item .btn_area a.btn_transection {
        flex: none;
        width: 100%;
    }
    /* // 20241023 */

    .wallet .deposit .qr_img {
        margin: 0 auto;
    }
    .wallet .deposit .txt {
        flex: none;
    }

    .wallet .grid2 {
        gap: 10px;
    }
    .wallet .grid2 > div {
        flex: none;
        width: 100%;
    }

    .wallet .input_line {
        padding: 9px 15px;
        min-height: 56px;
    }
    .wallet .input_line input {
        flex: none;
        height: 36px;
        font-size: 14px;
    }
    .wallet .input_line button {
        flex: 1;
        font-size: 14px;
        padding: 5px 10px;
    }
    .wallet .input_box {
        gap: 5px;
    }
    .wallet .input_box .tab {
        width: 100%;
    }
    .wallet .input_box .tab button {
        height: 35px;
    }
    .wallet .btn_form {
        gap: 10px;
    }
    .wallet .btn_form button {
        max-width: 125px;
        height: 45px;
        font-size: 14px;
    }
}
@media screen and (max-width: 480px) {
    .wallet_list .item .price {
        min-width: auto;
        width: 100%;
        border: 0;
        padding: 0;
        margin: 0;
    }

    .wallet .deposit .txt > div {
        gap: 5px;
    }
    .wallet .deposit .txt > div > p {
        width: 100%;
    }
}
@media screen and (max-width: 380px) {
    .wallet .select_bar select {
        max-width: none;
        flex: 1;
    }
    .wallet .select_bar > a {
        width: 100%;
        text-align: center;
        padding: 0;
        box-sizing: border-box;
    }
}